Index: trunk/config/xorg.conf
===================================================================
--- trunk/config/xorg.conf	(revision 5)
+++ trunk/config/xorg.conf	(revision 5)
@@ -0,0 +1,170 @@
+Section "ServerLayout"
+	Identifier     "Layout"
+	Screen      0  "Screen0" 0 0
+	Screen      1  "Screen1" Below "Screen0"
+	Screen      2  "Screen2" Below "Screen1"
+#	Option "blank time" "0"
+#	Option "standby time" "0"
+#	Option "suspend time" "0"
+#	Option "off time" "0"	
+EndSection
+
+Section "Module"
+	Load "glx"
+EndSection
+
+Section "ServerFlags"
+	Option	"Xinerama"	"off"
+	Option "BlankTime" "0"
+	Option "StandbyTime" "0"
+	Option "SuspendTime" "0"
+	Option "OffTime" "0"	
+EndSection
+
+Section "Monitor"
+	Identifier  "MonitorLH"
+	Option	    "VendorName" "ATI Proprietary Driver"
+	Option	    "ModelName" "Generic Autodetecting Monitor"
+	Option	    "DPMS" "false"
+	Option	    "PreferredMode" "1920x1200"
+	Option	    "TargetRefresh" "60"
+	Option	    "Position" "0 0"
+	Option	    "Rotate" "normal"
+	Option	    "Disable" "false"
+	Option	    "Panning" "2020x1296+0+0/1x1+0+0"
+EndSection
+
+Section "Monitor"
+	Identifier  "MonitorLL"
+	Option	    "VendorName" "ATI Proprietary Driver"
+	Option	    "ModelName" "Generic Autodetecting Monitor"
+	Option	    "DPMS" "false"
+	Option	    "PreferredMode" "1920x1200"
+	Option	    "TargetRefresh" "60"
+	Option	    "Position" "0 1296"
+	Option	    "Rotate" "normal"
+	Option	    "Disable" "false"
+	Option	    "Panning" "2020x1296+0+1296/1x1+0+0"
+EndSection
+
+Section "Monitor"
+	Identifier  "MonitorMH"
+	Option	    "VendorName" "ATI Proprietary Driver"
+	Option	    "ModelName" "Generic Autodetecting Monitor"
+	Option	    "DPMS" "false"
+	Option	    "PreferredMode" "1920x1200"
+	Option	    "TargetRefresh" "60"
+	Option	    "Position" "2020 0"
+	Option	    "Rotate" "normal"
+	Option	    "Disable" "false"
+	Option	    "Panning" "2020x1296+2020+0/1x1+0+0"
+EndSection
+
+Section "Monitor"
+	Identifier  "MonitorML"
+	Option	    "VendorName" "ATI Proprietary Driver"
+	Option	    "ModelName" "Generic Autodetecting Monitor"
+	Option	    "DPMS" "false"
+	Option	    "PreferredMode" "1920x1200"
+	Option	    "TargetRefresh" "60"
+	Option	    "Position" "2020 1296"
+	Option	    "Rotate" "normal"
+	Option	    "Disable" "false"
+	Option	    "Panning" "2020x1296+2020+1296/1x1+0+0"
+EndSection
+
+Section "Monitor"
+	Identifier  "MonitorRH"
+	Option	    "VendorName" "ATI Proprietary Driver"
+	Option	    "ModelName" "Generic Autodetecting Monitor"
+	Option	    "DPMS" "false"
+	Option	    "PreferredMode" "1920x1200"
+	Option	    "TargetRefresh" "60"
+	Option	    "Position" "4040 0"
+	Option	    "Rotate" "normal"
+	Option	    "Disable" "false"
+	Option	    "Panning" "2020x1296+4040+0/1x1+0+0"
+EndSection
+
+Section "Monitor"
+	Identifier  "MonitorRL"
+	Option	    "VendorName" "ATI Proprietary Driver"
+	Option	    "ModelName" "Generic Autodetecting Monitor"
+	Option	    "DPMS" "false"
+	Option	    "PreferredMode" "1920x1200"
+	Option	    "TargetRefresh" "60"
+	Option	    "Position" "4040 1296"
+	Option	    "Rotate" "normal"
+	Option	    "Disable" "false"
+	Option	    "Panning" "2020x1296+4040+1296/1x1+0+0"
+EndSection
+
+Section "Device"
+	Identifier  "dev0"
+	Driver      "fglrx"
+	Option	    "Monitor-DFP1" "MonitorLH"
+	Option	    "Monitor-DFP2" "MonitorLL"
+	Option	    "Monitor-DFP3" "MonitorMH"
+	Option	    "Monitor-DFP4" "MonitorML"
+	Option	    "Monitor-DFP5" "MonitorRH"
+	Option	    "Monitor-DFP6" "MonitorRL"
+	BusID       "PCI:4:0:0"
+EndSection
+
+Section "Device"
+	Identifier  "dev1"
+	Driver      "fglrx"
+	Option	    "Monitor-DFP1" "MonitorLH"
+	Option	    "Monitor-DFP2" "MonitorLL"
+	Option	    "Monitor-DFP3" "MonitorMH"
+	Option	    "Monitor-DFP4" "MonitorML"
+	Option	    "Monitor-DFP5" "MonitorRH"
+	Option	    "Monitor-DFP6" "MonitorRL"
+	BusID       "PCI:5:0:0"
+EndSection
+
+Section "Device"
+	Identifier  "dev2"
+	Driver      "fglrx"
+	Option	    "Monitor-DFP1" "MonitorLH"
+	Option	    "Monitor-DFP2" "MonitorLL"
+	Option	    "Monitor-DFP3" "MonitorMH"
+	Option	    "Monitor-DFP4" "MonitorML"
+	Option	    "Monitor-DFP5" "MonitorRH"
+	Option	    "Monitor-DFP6" "MonitorRL"
+	BusID       "PCI:8:0:0"
+EndSection
+
+Section "Screen"
+	Identifier "Screen0"
+	Device     "dev0"
+	DefaultDepth     24
+	SubSection "Display"
+		Viewport   0 0
+		Virtual   6060 2592
+		Depth     24
+	EndSubSection
+EndSection
+
+Section "Screen"
+	Identifier "Screen1"
+	Device     "dev1"
+	DefaultDepth     24
+	SubSection "Display"
+		Viewport   0 0
+		Virtual   6060 2592
+		Depth     24
+	EndSubSection
+EndSection
+
+Section "Screen"
+	Identifier "Screen2"
+	Device     "dev2"
+	DefaultDepth     24
+	SubSection "Display"
+		Viewport   0 0
+		Virtual   6060 2592
+		Depth     24
+	EndSubSection
+EndSection
+
Index: trunk/config/fsManager.conf
===================================================================
--- trunk/config/fsManager.conf	(revision 5)
+++ trunk/config/fsManager.conf	(revision 5)
@@ -0,0 +1,45 @@
+fsManager       local 192.168.80.1
+systemPort      20002
+uiPort          20001
+trackPort       20003
+#conManager      74.114.99.36 15557    
+conManager      192.168.80.1 15557    
+
+tileConfiguration tileconf-WP.conf
+
+receiverSyncPort  12000
+receiverStreamPort   22000
+receiverBufSize    5
+fullScreen     1
+winTime		0
+winStep     1
+
+audio false 
+audioConfiguration audio-stdtile-1.conf
+receiverAudioSyncPort 28000
+receiverAudioPort 26000
+syncPort 24000
+
+rcvNwBufSize 1M
+sendNwBufSize 65536
+MTU 8800
+
+
+
+syncLevel 1
+# 0  //no sync
+# 	no syncCheckThread is created. no syncServer and Client are created
+# 	All application will be running in NO_SYNC mode regardless of their config
+# 1  //data sync only (default)
+# 2  //1 + swap buffer sync
+
+# 2nd phase of the new sync
+syncBarrierPort 24381
+
+# syncMaster mainLoop while() timeout value in Hz
+# should be faster than the frame rate of the fastest video
+# higher value will affect sage performance
+refreshInterval 50
+
+# syncMaster mainLoop select() return timer in usec. 0 for constant polling
+syncMasterPollingInterval 200
Index: trunk/config/tileconf-WP.conf
===================================================================
--- trunk/config/tileconf-WP.conf	(revision 5)
+++ trunk/config/tileconf-WP.conf	(revision 5)
@@ -0,0 +1,66 @@
+TileDisplay
+	Dimensions 3 4
+	Mullions 0.0 0.0 0.0 0.0
+	Resolution 6060 2592
+	PPI 90
+	Machines 12
+
+DisplayNode 
+	Name local
+	IP 192.168.80.13:10000:0.0
+	Monitors 1 (0,3) 
+
+DisplayNode 
+	Name local
+	IP 192.168.80.10:10005:0.0
+	Monitors 1 (0,2)
+
+DisplayNode 
+	Name local
+	IP 192.168.80.10:10010:0.1
+	Monitors 1 (0,1) 
+
+DisplayNode 
+	Name local
+	IP 192.168.80.10:10015:0.2
+	Monitors 1 (0,0)
+
+DisplayNode 
+	Name local
+	IP 192.168.80.13:11000:0.1
+	Monitors 1 (1,3) 
+
+DisplayNode 
+	Name local
+	IP 192.168.80.13:11005:0.2
+	Monitors 1 (1,2)
+
+DisplayNode 
+	Name local
+	IP 192.168.80.12:11010:0.1
+	Monitors 1 (1,1) 
+
+DisplayNode 
+	Name local
+	IP 192.168.80.12:11015:0.2
+	Monitors 1 (1,0)
+
+DisplayNode 
+	Name local
+	IP 192.168.80.12:12000:0.0
+	Monitors 1 (2,3) 
+
+DisplayNode 
+	Name local
+	IP 192.168.80.11:12005:0.0
+	Monitors 1 (2,2)
+
+DisplayNode 
+	Name local
+	IP 192.168.80.11:12010:0.1
+	Monitors 1 (2,1) 
+
+DisplayNode 
+	Name local
+	IP 192.168.80.11:12015:0.2
+	Monitors 1 (2,0)
Index: trunk/scripts/reinstallsage
===================================================================
--- trunk/scripts/reinstallsage	(revision 5)
+++ trunk/scripts/reinstallsage	(revision 5)
@@ -0,0 +1,35 @@
+#! /bin/bash
+if [ -z "$1" ]
+then
+	echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
+	exit
+fi
+
+if [ "$1" != "trunk" -a "$1" != "testing" -a "$1" != "experimental" ]
+then
+	echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
+	exit
+fi
+
+recompilesage $1
+
+for i in `cat ~/bin/tiles_list`
+do
+        echo $i | grep "^#" > /dev/null 2> /dev/null
+        if [ $? != "0" ]
+        then
+		if [ "$1" == "testing" -o "$1" == "experimental" ]
+		then
+			echo "Transfering SAGE [$1] to $i"
+			scp -r ~/SAGE/$1/src/*.cpp $i:~/SAGE/$1/src > /dev/null
+			scp -r ~/SAGE/$1/src/*.h $i:~/SAGE/$1/src > /dev/null
+			scp -r ~/SAGE/$1/src/*.m $i:~/SAGE/$1/src > /dev/null
+			scp -r ~/SAGE/$1/src/Makefile $i:~/SAGE/$1/src > /dev/null
+			scp -r ~/SAGE/$1/Makefile $i:~/SAGE/$1 > /dev/null
+			scp -r ~/SAGE/$1/include/* $i:~/SAGE/$1/include > /dev/null
+		fi
+		ssh $i ~/bin/recompilesage $1 &
+        fi
+done
+
+
Index: trunk/scripts/macs_list
===================================================================
--- trunk/scripts/macs_list	(revision 5)
+++ trunk/scripts/macs_list	(revision 5)
@@ -0,0 +1,12 @@
+#tile0
+20:cf:30:f0:ce:6b
+20:cf:30:f0:ce:09
+#tile1
+20:cf:30:ad:f8:00
+20:cf:30:ad:f7:93
+#tile2
+00:1f:bc:02:22:14
+00:1f:bc:02:22:15
+#tile3
+14:da:e9:48:51:f8
+14:da:e9:48:51:50
Index: trunk/scripts/recompilesage
===================================================================
--- trunk/scripts/recompilesage	(revision 5)
+++ trunk/scripts/recompilesage	(revision 5)
@@ -0,0 +1,34 @@
+#!/bin/bash
+if [ -z "$1" ]
+then
+        echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
+        exit
+fi
+
+if [ "$1" != "trunk" -a "$1" != "testing" -a "$1" != "experimental" ]
+then
+        echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
+        exit
+fi
+
+echo "Recompiling SAGE [$1] on localhost"
+
+cd ~/SAGE/$1
+make -j 2
+
+if [ "$?" != 0 ]
+then
+        echo "Error while compiling"
+        exit
+fi
+
+if [ -e /usr/local/sage ]
+then
+        echo "Removing sage"
+        sudo rm -r /usr/local/sage
+fi
+
+echo "Installing SAGE"
+sudo make install
+cd /usr/local/sage
+sudo ln -s lib64 lib
Index: trunk/scripts/wall
===================================================================
--- trunk/scripts/wall	(revision 5)
+++ trunk/scripts/wall	(revision 5)
@@ -0,0 +1,8 @@
+#!/bin/bash
+gnome-terminal -t "tile0" --geometry 75x27+0+0 -x ssh -t SAGE-tile0 &
+gnome-terminal -t "tile1" --geometry 75x27+0+600 -x ssh -t SAGE-tile1 &
+gnome-terminal -t "tile2" --geometry 75x27+700+0 -x ssh -t SAGE-tile2 &
+gnome-terminal -t "tile3" --geometry 75x27+700+600 -x ssh -t SAGE-tile3 &
+#gnome-terminal -t "tile4" --geometry 75x27+1300+0 -x ssh -t SAGE-tile4 "cd /etc/X11; bash" &
+#gnome-terminal -t "tile5" --geometry 75x27+1300+600 -x ssh -t SAGE-tile5 "cd /etc/X11; bash" &
+
Index: trunk/scripts/killallplayers
===================================================================
--- trunk/scripts/killallplayers	(revision 5)
+++ trunk/scripts/killallplayers	(revision 5)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+IFS=$'\n'
+for i in `ps -e | grep backgroundview | tr -s " "`
+do
+        echo $i | grep "^ " > /dev/null 2> /dev/null
+        if [ $? == 0 ]
+        then
+                PID=`echo $i | cut -d " " -f 2`
+        else
+                PID=`echo $i | cut -d " " -f 1`
+        fi
+        kill -15 $PID
+done
+
+for i in `ps -e | grep mplayer | tr -s " "`
+do
+        echo $i | grep "^ " > /dev/null 2> /dev/null
+        if [ $? == 0 ]
+        then
+                PID=`echo $i | cut -d " " -f 2`
+        else
+                PID=`echo $i | cut -d " " -f 1`
+        fi
+        kill -15 $PID
+done
+
+for i in `ps -e | grep imageview | tr -s " "`
+do
+        echo $i | grep "^ " > /dev/null 2> /dev/null
+        if [ $? == 0 ]
+        then
+                PID=`echo $i | cut -d " " -f 2`
+        else
+                PID=`echo $i | cut -d " " -f 1`
+        fi
+        kill -15 $PID
+done
+
+
+ssh -t SAGE-stream-0 "/home/pcss/bin/killall"
+ssh -t SAGE-stream-1 "/home/pcss/bin/killall" 
+ssh -t SAGE-stream-2 "/home/pcss/bin/killall" 
+ssh -t SAGE-stream-3 "/home/pcss/bin/killall"
+ssh -t SAGE-stream-4 "/home/pcss/bin/killall"
Index: trunk/scripts/killallsage
===================================================================
--- trunk/scripts/killallsage	(revision 5)
+++ trunk/scripts/killallsage	(revision 5)
@@ -0,0 +1,11 @@
+#!/bin/bash
+for i in `cat ~/bin/tiles_list`
+do
+        echo $i | grep "^#" > /dev/null 2> /dev/null
+        if [ $? != "0" ]
+        then
+		ssh $i ~/bin/killsagedisplay
+        fi
+done
+
+
Index: trunk/scripts/atimonitor
===================================================================
--- trunk/scripts/atimonitor	(revision 5)
+++ trunk/scripts/atimonitor	(revision 5)
@@ -0,0 +1,9 @@
+while [ 1 = 1 ]
+do
+	aticonfig --adapter=0 --od-gettemperature > /tmp/ati_monitor.tmp
+	aticonfig --adapter=1 --od-gettemperature >> /tmp/ati_monitor.tmp
+	aticonfig --adapter=2 --od-gettemperature >> /tmp/ati_monitor.tmp
+	aticonfig --adapter=3 --od-gettemperature >> /tmp/ati_monitor.tmp
+
+	cp /tmp/ati_monitor.tmp ~/ati_monitor.log
+done
Index: trunk/scripts/runxall
===================================================================
--- trunk/scripts/runxall	(revision 5)
+++ trunk/scripts/runxall	(revision 5)
@@ -0,0 +1,8 @@
+for i in `cat ~/bin/tiles_list`
+do
+	echo $i | grep "^#" > /dev/null 2> /dev/null
+	if [ $? != "0" ]
+	then
+		ssh -f $i '/home/pcss/bin/run_X'
+	fi
+done
Index: trunk/scripts/poweroffwall
===================================================================
--- trunk/scripts/poweroffwall	(revision 5)
+++ trunk/scripts/poweroffwall	(revision 5)
@@ -0,0 +1,48 @@
+#!/bin/bash
+while getopts "hwa" optname
+  do
+    case "$optname" in
+      "h")
+	HOST=1
+        ;;
+      "w")
+	WALL=1
+        ;;
+      "a")
+	ALL=1
+        ;;
+      "?")
+        echo "Unrecognized option $OPTARG"
+	exit
+        ;;
+      ":")
+        echo "No argument value for option $OPTARG"
+	exit
+        ;;
+    esac
+  done
+
+if [ "$WALL" != "1" -a "$HOST" != "1" -a "$ALL" != "1" ]; then
+	echo "Usage: reboot_wall [-h] [-w] [-a]. One option must be specified."
+	echo -e "\t-h\trun on host"
+	echo -e "\t-w\trun on wall"
+	echo -e "\t-a\trun on host and wall"
+	exit
+fi
+
+if [ "$WALL" == "1" -o "$ALL" == "1" ]; then
+for i in `cat ~/bin/tiles_list`
+do
+        echo $i | grep "^#" > /dev/null 2> /dev/null
+        if [ $? != "0" ]
+        then
+		ssh $i poweroff
+        fi
+done
+fi
+
+if [ "$HOST" == "1" -o "$ALL" == "1" ]; then
+	poweroff
+fi
+
+
Index: trunk/scripts/wakewall
===================================================================
--- trunk/scripts/wakewall	(revision 5)
+++ trunk/scripts/wakewall	(revision 5)
@@ -0,0 +1,10 @@
+#!/bin/bash
+for i in `cat ~/bin/macs_list`
+do
+        echo $i | grep "^#" > /dev/null 2> /dev/null
+        if [ $? != "0" ]
+        then
+		wakeonlan $i
+        fi
+done
+
Index: trunk/scripts/wallmonitor
===================================================================
--- trunk/scripts/wallmonitor	(revision 5)
+++ trunk/scripts/wallmonitor	(revision 5)
@@ -0,0 +1,7 @@
+gnome-terminal -t "Left Tile eth0 [192.168.41.10]" --geometry 77x20+0+0 -x ssh -t SAGE-tile0 "sudo iftop -i eth0" &
+gnome-terminal -t "Left Tile eth1 [192.168.42.10]" --geometry 77x20+640+0 -x ssh -t SAGE-tile0 "sudo iftop -i eth1" &
+gnome-terminal -t "Left Tile Temp [192.168.42.10]" --geometry 77x20+1280+0 -x ssh -t SAGE-tile0 "cd /home/pcss/bin; bash" &
+gnome-terminal -t "Right tile eth0 [192.168.41.11]" --geometry 77x20+0+400 -x ssh -t SAGE-tile1 "sudo iftop -i eth0" &
+gnome-terminal -t "Right tile eth1 [192.168.42.11]" --geometry 77x20+640+400 -x ssh -t SAGE-tile1 "sudo iftop -i eth1" &
+gnome-terminal -t "Right tile Temp [192.168.42.11]" --geometry 77x20+1280+400 -x ssh -t SAGE-tile1 "cd /home/pcss/bin; bash" &
+gnome-terminal -t "Access machine eth1 [192.168.40.1]" --geometry 156x20+0+800 -x sudo iftop -i eth1 &
Index: trunk/scripts/rebootwall
===================================================================
--- trunk/scripts/rebootwall	(revision 5)
+++ trunk/scripts/rebootwall	(revision 5)
@@ -0,0 +1,48 @@
+#!/bin/bash
+while getopts "hwa" optname
+  do
+    case "$optname" in
+      "h")
+	HOST=1
+        ;;
+      "w")
+	WALL=1
+        ;;
+      "a")
+	ALL=1
+        ;;
+      "?")
+        echo "Unrecognized option $OPTARG"
+	exit
+        ;;
+      ":")
+        echo "No argument value for option $OPTARG"
+	exit
+        ;;
+    esac
+  done
+
+if [ "$WALL" != "1" -a "$HOST" != "1" -a "$ALL" != "1" ]; then
+	echo "Usage: reboot_wall [-h] [-w] [-a]. One option must be specified."
+	echo -e "\t-h\trun on host"
+	echo -e "\t-w\trun on wall"
+	echo -e "\t-a\trun on host and wall"
+	exit
+fi
+
+if [ "$WALL" == "1" -o "$ALL" == "1" ]; then
+for i in `cat ~/bin/tiles_list`
+do
+        echo $i | grep "^#" > /dev/null 2> /dev/null
+        if [ $? != "0" ]
+        then
+		ssh $i reboot
+        fi
+done
+fi
+
+if [ "$HOST" == "1" -o "$ALL" == "1" ]; then
+	reboot
+fi
+
+
Index: trunk/scripts/tiles_list
===================================================================
--- trunk/scripts/tiles_list	(revision 5)
+++ trunk/scripts/tiles_list	(revision 5)
@@ -0,0 +1,6 @@
+SAGE-tile0
+SAGE-tile1
+SAGE-tile2
+SAGE-tile3
+#SAGE-tile4
+#SAGE-tile5
Index: trunk/scripts/connecttowall
===================================================================
--- trunk/scripts/connecttowall	(revision 5)
+++ trunk/scripts/connecttowall	(revision 5)
@@ -0,0 +1,40 @@
+#!/bin/bash
+while getopts "hwa" optname
+  do
+    case "$optname" in
+      "h")
+	HOST=1
+        ;;
+      "w")
+	WALL=1
+        ;;
+      "a")
+	ALL=1
+        ;;
+      "?")
+        echo "Unrecognized option $OPTARG"
+	exit
+        ;;
+      ":")
+        echo "No argument value for option $OPTARG"
+	exit
+        ;;
+    esac
+  done
+
+if [ "$WALL" != "1" -a "$HOST" != "1" -a "$ALL" != "1" ]; then
+	echo "Usage: connect_to_wall [-h] [-w] [-a]. One option must be specified."
+	echo -e "\t-h\trun on host"
+	echo -e "\t-w\trun on wall"
+	echo -e "\t-a\trun on host and wall"
+	exit
+fi
+
+if [ "$WALL" == "1" -o "$ALL" == "1" ]; then
+	gnome-terminal -t "Left Tile [192.168.41.10]" --geometry 117x24+0+0 -x ssh -t SAGE-tile0 "cd /etc/X11; bash" &
+	gnome-terminal -t "Right Tile [192.168.41.11]" --geometry 117x24+960+0 -x ssh -t SAGE-tile1 "cd /etc/X11; bash" &
+fi
+
+if [ "$HOST" == "1" -o "$ALL" == "1" ]; then
+	gnome-terminal -t "Access machine [192.168.41.1]" --geometry 235x38+0+459 --working-directory /usr/local/sage/sageConfig &
+fi