Index: /trunk/scripts/tile/gears
===================================================================
--- /trunk/scripts/tile/gears	(revision 6)
+++ /trunk/scripts/tile/gears	(revision 6)
@@ -0,0 +1,1 @@
+DISPLAY=:0.$1 ; glxgears -geometry 6060x2592+0+0 > /dev/null
Index: /trunk/scripts/tile/killsagedisplay
===================================================================
--- /trunk/scripts/tile/killsagedisplay	(revision 6)
+++ /trunk/scripts/tile/killsagedisplay	(revision 6)
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+IFS=$'\n'
+for i in `ps -e | grep sageDisplay | tr -s " "`
+do
+        echo $i | grep "^ " > /dev/null 2> /dev/null
+        if [ $? == 0 ]
+        then
+                PID=`echo $i | cut -d " " -f 2`
+        else
+                PID=`echo $i | cut -d " " -f 1`
+        fi
+        kill -9 $PID
+done
Index: /trunk/scripts/tile/all_kill
===================================================================
--- /trunk/scripts/tile/all_kill	(revision 6)
+++ /trunk/scripts/tile/all_kill	(revision 6)
@@ -0,0 +1,1 @@
+killall glxgears
Index: /trunk/scripts/tile/check_bond_mode
===================================================================
--- /trunk/scripts/tile/check_bond_mode	(revision 6)
+++ /trunk/scripts/tile/check_bond_mode	(revision 6)
@@ -0,0 +1,3 @@
+#!/bin/bash
+echo "$HOSTNAME: `dmesg | grep "setting mode" | tr -s " " | cut -d " " -f 8- | rev | cut -c 2- | rev`"
+
Index: /trunk/scripts/tile/ati_monitor
===================================================================
--- /trunk/scripts/tile/ati_monitor	(revision 6)
+++ /trunk/scripts/tile/ati_monitor	(revision 6)
@@ -0,0 +1,10 @@
+clear
+while [ 1 = 1 ]
+do
+	clear
+	aticonfig --adapter=0 --od-gettemperature
+	aticonfig --adapter=1 --od-gettemperature 
+	aticonfig --adapter=2 --od-gettemperature 
+
+	sleep 1
+done
Index: /trunk/scripts/tile/fans
===================================================================
--- /trunk/scripts/tile/fans	(revision 6)
+++ /trunk/scripts/tile/fans	(revision 6)
@@ -0,0 +1,1 @@
+aticonfig --pplib-cmd "set fanspeed 0 $1" ;
Index: /trunk/scripts/tile/all_gears
===================================================================
--- /trunk/scripts/tile/all_gears	(revision 6)
+++ /trunk/scripts/tile/all_gears	(revision 6)
@@ -0,0 +1,4 @@
+for i in `seq 0 3`
+do
+	gears $i  > /dev/null &
+done
Index: /trunk/scripts/tile/run_X
===================================================================
--- /trunk/scripts/tile/run_X	(revision 6)
+++ /trunk/scripts/tile/run_X	(revision 6)
@@ -0,0 +1,14 @@
+export DISPLAY=:0.0
+
+ps -e | grep Xorg > /dev/null
+if [ "$?" == "0" ]
+then
+	sudo killall Xorg > /dev/null 2> /dev/null
+	sleep 5
+fi
+sudo X > /dev/null 2> /dev/null &
+sleep 5
+xclock -geometry 1x1+0+0 &
+sleep 5
+xset dpms 0 0 0
+#echo "$HOSTNAME ready"
Index: /trunk/scripts/tile/move_mouse
===================================================================
--- /trunk/scripts/tile/move_mouse	(revision 6)
+++ /trunk/scripts/tile/move_mouse	(revision 6)
@@ -0,0 +1,2 @@
+export DISPLAY=:0.0
+xdotool mousemove 1969 1247
Index: /trunk/scripts/tile/recompilesage
===================================================================
--- /trunk/scripts/tile/recompilesage	(revision 6)
+++ /trunk/scripts/tile/recompilesage	(revision 6)
@@ -0,0 +1,24 @@
+#! /bin/bash
+echo "Recompiling SAGE [$1] on `hostname`"
+
+cd ~/SAGE/$1
+make -j 8 > /dev/null 2> /dev/null
+
+if [ "$?" != 0 ]
+then
+	echo "Error while compiling"
+	exit
+fi
+
+if [ -e /usr/local/sage ]
+then
+	echo "Removing SAGE"
+	sudo rm -r /usr/local/sage
+fi
+
+echo "Installing SAGE"
+sudo make install > /dev/null
+cd /usr/local/sage
+sudo ln -s lib64 lib
+
+echo "`hostname` all done"
Index: /trunk/scripts/access/poweroffwall
===================================================================
--- /trunk/scripts/access/poweroffwall	(revision 6)
+++ /trunk/scripts/access/poweroffwall	(revision 6)
@@ -0,0 +1,48 @@
+#!/bin/bash
+while getopts "hwa" optname
+  do
+    case "$optname" in
+      "h")
+	HOST=1
+        ;;
+      "w")
+	WALL=1
+        ;;
+      "a")
+	ALL=1
+        ;;
+      "?")
+        echo "Unrecognized option $OPTARG"
+	exit
+        ;;
+      ":")
+        echo "No argument value for option $OPTARG"
+	exit
+        ;;
+    esac
+  done
+
+if [ "$WALL" != "1" -a "$HOST" != "1" -a "$ALL" != "1" ]; then
+	echo "Usage: reboot_wall [-h] [-w] [-a]. One option must be specified."
+	echo -e "\t-h\trun on host"
+	echo -e "\t-w\trun on wall"
+	echo -e "\t-a\trun on host and wall"
+	exit
+fi
+
+if [ "$WALL" == "1" -o "$ALL" == "1" ]; then
+for i in `cat ~/bin/tiles_list`
+do
+        echo $i | grep "^#" > /dev/null 2> /dev/null
+        if [ $? != "0" ]
+        then
+		ssh $i poweroff
+        fi
+done
+fi
+
+if [ "$HOST" == "1" -o "$ALL" == "1" ]; then
+	poweroff
+fi
+
+
Index: /trunk/scripts/access/wakewall
===================================================================
--- /trunk/scripts/access/wakewall	(revision 6)
+++ /trunk/scripts/access/wakewall	(revision 6)
@@ -0,0 +1,10 @@
+#!/bin/bash
+for i in `cat ~/bin/macs_list`
+do
+        echo $i | grep "^#" > /dev/null 2> /dev/null
+        if [ $? != "0" ]
+        then
+		wakeonlan $i
+        fi
+done
+
Index: /trunk/scripts/access/wallmonitor
===================================================================
--- /trunk/scripts/access/wallmonitor	(revision 6)
+++ /trunk/scripts/access/wallmonitor	(revision 6)
@@ -0,0 +1,7 @@
+gnome-terminal -t "Left Tile eth0 [192.168.41.10]" --geometry 77x20+0+0 -x ssh -t SAGE-tile0 "sudo iftop -i eth0" &
+gnome-terminal -t "Left Tile eth1 [192.168.42.10]" --geometry 77x20+640+0 -x ssh -t SAGE-tile0 "sudo iftop -i eth1" &
+gnome-terminal -t "Left Tile Temp [192.168.42.10]" --geometry 77x20+1280+0 -x ssh -t SAGE-tile0 "cd /home/pcss/bin; bash" &
+gnome-terminal -t "Right tile eth0 [192.168.41.11]" --geometry 77x20+0+400 -x ssh -t SAGE-tile1 "sudo iftop -i eth0" &
+gnome-terminal -t "Right tile eth1 [192.168.42.11]" --geometry 77x20+640+400 -x ssh -t SAGE-tile1 "sudo iftop -i eth1" &
+gnome-terminal -t "Right tile Temp [192.168.42.11]" --geometry 77x20+1280+400 -x ssh -t SAGE-tile1 "cd /home/pcss/bin; bash" &
+gnome-terminal -t "Access machine eth1 [192.168.40.1]" --geometry 156x20+0+800 -x sudo iftop -i eth1 &
Index: /trunk/scripts/access/rebootwall
===================================================================
--- /trunk/scripts/access/rebootwall	(revision 6)
+++ /trunk/scripts/access/rebootwall	(revision 6)
@@ -0,0 +1,48 @@
+#!/bin/bash
+while getopts "hwa" optname
+  do
+    case "$optname" in
+      "h")
+	HOST=1
+        ;;
+      "w")
+	WALL=1
+        ;;
+      "a")
+	ALL=1
+        ;;
+      "?")
+        echo "Unrecognized option $OPTARG"
+	exit
+        ;;
+      ":")
+        echo "No argument value for option $OPTARG"
+	exit
+        ;;
+    esac
+  done
+
+if [ "$WALL" != "1" -a "$HOST" != "1" -a "$ALL" != "1" ]; then
+	echo "Usage: reboot_wall [-h] [-w] [-a]. One option must be specified."
+	echo -e "\t-h\trun on host"
+	echo -e "\t-w\trun on wall"
+	echo -e "\t-a\trun on host and wall"
+	exit
+fi
+
+if [ "$WALL" == "1" -o "$ALL" == "1" ]; then
+for i in `cat ~/bin/tiles_list`
+do
+        echo $i | grep "^#" > /dev/null 2> /dev/null
+        if [ $? != "0" ]
+        then
+		ssh $i reboot
+        fi
+done
+fi
+
+if [ "$HOST" == "1" -o "$ALL" == "1" ]; then
+	reboot
+fi
+
+
Index: /trunk/scripts/access/tiles_list
===================================================================
--- /trunk/scripts/access/tiles_list	(revision 6)
+++ /trunk/scripts/access/tiles_list	(revision 6)
@@ -0,0 +1,6 @@
+SAGE-tile0
+SAGE-tile1
+SAGE-tile2
+SAGE-tile3
+#SAGE-tile4
+#SAGE-tile5
Index: /trunk/scripts/access/connecttowall
===================================================================
--- /trunk/scripts/access/connecttowall	(revision 6)
+++ /trunk/scripts/access/connecttowall	(revision 6)
@@ -0,0 +1,40 @@
+#!/bin/bash
+while getopts "hwa" optname
+  do
+    case "$optname" in
+      "h")
+	HOST=1
+        ;;
+      "w")
+	WALL=1
+        ;;
+      "a")
+	ALL=1
+        ;;
+      "?")
+        echo "Unrecognized option $OPTARG"
+	exit
+        ;;
+      ":")
+        echo "No argument value for option $OPTARG"
+	exit
+        ;;
+    esac
+  done
+
+if [ "$WALL" != "1" -a "$HOST" != "1" -a "$ALL" != "1" ]; then
+	echo "Usage: connect_to_wall [-h] [-w] [-a]. One option must be specified."
+	echo -e "\t-h\trun on host"
+	echo -e "\t-w\trun on wall"
+	echo -e "\t-a\trun on host and wall"
+	exit
+fi
+
+if [ "$WALL" == "1" -o "$ALL" == "1" ]; then
+	gnome-terminal -t "Left Tile [192.168.41.10]" --geometry 117x24+0+0 -x ssh -t SAGE-tile0 "cd /etc/X11; bash" &
+	gnome-terminal -t "Right Tile [192.168.41.11]" --geometry 117x24+960+0 -x ssh -t SAGE-tile1 "cd /etc/X11; bash" &
+fi
+
+if [ "$HOST" == "1" -o "$ALL" == "1" ]; then
+	gnome-terminal -t "Access machine [192.168.41.1]" --geometry 235x38+0+459 --working-directory /usr/local/sage/sageConfig &
+fi
Index: /trunk/scripts/access/reinstallsage
===================================================================
--- /trunk/scripts/access/reinstallsage	(revision 6)
+++ /trunk/scripts/access/reinstallsage	(revision 6)
@@ -0,0 +1,35 @@
+#! /bin/bash
+if [ -z "$1" ]
+then
+	echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
+	exit
+fi
+
+if [ "$1" != "trunk" -a "$1" != "testing" -a "$1" != "experimental" ]
+then
+	echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
+	exit
+fi
+
+recompilesage $1
+
+for i in `cat ~/bin/tiles_list`
+do
+        echo $i | grep "^#" > /dev/null 2> /dev/null
+        if [ $? != "0" ]
+        then
+		if [ "$1" == "testing" -o "$1" == "experimental" ]
+		then
+			echo "Transfering SAGE [$1] to $i"
+			scp -r ~/SAGE/$1/src/*.cpp $i:~/SAGE/$1/src > /dev/null
+			scp -r ~/SAGE/$1/src/*.h $i:~/SAGE/$1/src > /dev/null
+			scp -r ~/SAGE/$1/src/*.m $i:~/SAGE/$1/src > /dev/null
+			scp -r ~/SAGE/$1/src/Makefile $i:~/SAGE/$1/src > /dev/null
+			scp -r ~/SAGE/$1/Makefile $i:~/SAGE/$1 > /dev/null
+			scp -r ~/SAGE/$1/include/* $i:~/SAGE/$1/include > /dev/null
+		fi
+		ssh $i ~/bin/recompilesage $1 &
+        fi
+done
+
+
Index: /trunk/scripts/access/macs_list
===================================================================
--- /trunk/scripts/access/macs_list	(revision 6)
+++ /trunk/scripts/access/macs_list	(revision 6)
@@ -0,0 +1,12 @@
+#tile0
+20:cf:30:f0:ce:6b
+20:cf:30:f0:ce:09
+#tile1
+20:cf:30:ad:f8:00
+20:cf:30:ad:f7:93
+#tile2
+00:1f:bc:02:22:14
+00:1f:bc:02:22:15
+#tile3
+14:da:e9:48:51:f8
+14:da:e9:48:51:50
Index: /trunk/scripts/access/recompilesage
===================================================================
--- /trunk/scripts/access/recompilesage	(revision 6)
+++ /trunk/scripts/access/recompilesage	(revision 6)
@@ -0,0 +1,34 @@
+#!/bin/bash
+if [ -z "$1" ]
+then
+        echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
+        exit
+fi
+
+if [ "$1" != "trunk" -a "$1" != "testing" -a "$1" != "experimental" ]
+then
+        echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
+        exit
+fi
+
+echo "Recompiling SAGE [$1] on localhost"
+
+cd ~/SAGE/$1
+make -j 2
+
+if [ "$?" != 0 ]
+then
+        echo "Error while compiling"
+        exit
+fi
+
+if [ -e /usr/local/sage ]
+then
+        echo "Removing sage"
+        sudo rm -r /usr/local/sage
+fi
+
+echo "Installing SAGE"
+sudo make install
+cd /usr/local/sage
+sudo ln -s lib64 lib
Index: /trunk/scripts/access/wall
===================================================================
--- /trunk/scripts/access/wall	(revision 6)
+++ /trunk/scripts/access/wall	(revision 6)
@@ -0,0 +1,8 @@
+#!/bin/bash
+gnome-terminal -t "tile0" --geometry 75x27+0+0 -x ssh -t SAGE-tile0 &
+gnome-terminal -t "tile1" --geometry 75x27+0+600 -x ssh -t SAGE-tile1 &
+gnome-terminal -t "tile2" --geometry 75x27+700+0 -x ssh -t SAGE-tile2 &
+gnome-terminal -t "tile3" --geometry 75x27+700+600 -x ssh -t SAGE-tile3 &
+#gnome-terminal -t "tile4" --geometry 75x27+1300+0 -x ssh -t SAGE-tile4 "cd /etc/X11; bash" &
+#gnome-terminal -t "tile5" --geometry 75x27+1300+600 -x ssh -t SAGE-tile5 "cd /etc/X11; bash" &
+
Index: /trunk/scripts/access/killallplayers
===================================================================
--- /trunk/scripts/access/killallplayers	(revision 6)
+++ /trunk/scripts/access/killallplayers	(revision 6)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+IFS=$'\n'
+for i in `ps -e | grep backgroundview | tr -s " "`
+do
+        echo $i | grep "^ " > /dev/null 2> /dev/null
+        if [ $? == 0 ]
+        then
+                PID=`echo $i | cut -d " " -f 2`
+        else
+                PID=`echo $i | cut -d " " -f 1`
+        fi
+        kill -15 $PID
+done
+
+for i in `ps -e | grep mplayer | tr -s " "`
+do
+        echo $i | grep "^ " > /dev/null 2> /dev/null
+        if [ $? == 0 ]
+        then
+                PID=`echo $i | cut -d " " -f 2`
+        else
+                PID=`echo $i | cut -d " " -f 1`
+        fi
+        kill -15 $PID
+done
+
+for i in `ps -e | grep imageview | tr -s " "`
+do
+        echo $i | grep "^ " > /dev/null 2> /dev/null
+        if [ $? == 0 ]
+        then
+                PID=`echo $i | cut -d " " -f 2`
+        else
+                PID=`echo $i | cut -d " " -f 1`
+        fi
+        kill -15 $PID
+done
+
+
+ssh -t SAGE-stream-0 "/home/pcss/bin/killall"
+ssh -t SAGE-stream-1 "/home/pcss/bin/killall" 
+ssh -t SAGE-stream-2 "/home/pcss/bin/killall" 
+ssh -t SAGE-stream-3 "/home/pcss/bin/killall"
+ssh -t SAGE-stream-4 "/home/pcss/bin/killall"
Index: /trunk/scripts/access/killallsage
===================================================================
--- /trunk/scripts/access/killallsage	(revision 6)
+++ /trunk/scripts/access/killallsage	(revision 6)
@@ -0,0 +1,11 @@
+#!/bin/bash
+for i in `cat ~/bin/tiles_list`
+do
+        echo $i | grep "^#" > /dev/null 2> /dev/null
+        if [ $? != "0" ]
+        then
+		ssh $i ~/bin/killsagedisplay
+        fi
+done
+
+
Index: /trunk/scripts/access/atimonitor
===================================================================
--- /trunk/scripts/access/atimonitor	(revision 6)
+++ /trunk/scripts/access/atimonitor	(revision 6)
@@ -0,0 +1,9 @@
+while [ 1 = 1 ]
+do
+	aticonfig --adapter=0 --od-gettemperature > /tmp/ati_monitor.tmp
+	aticonfig --adapter=1 --od-gettemperature >> /tmp/ati_monitor.tmp
+	aticonfig --adapter=2 --od-gettemperature >> /tmp/ati_monitor.tmp
+	aticonfig --adapter=3 --od-gettemperature >> /tmp/ati_monitor.tmp
+
+	cp /tmp/ati_monitor.tmp ~/ati_monitor.log
+done
Index: /trunk/scripts/access/runxall
===================================================================
--- /trunk/scripts/access/runxall	(revision 6)
+++ /trunk/scripts/access/runxall	(revision 6)
@@ -0,0 +1,8 @@
+for i in `cat ~/bin/tiles_list`
+do
+	echo $i | grep "^#" > /dev/null 2> /dev/null
+	if [ $? != "0" ]
+	then
+		ssh -f $i '/home/pcss/bin/run_X'
+	fi
+done
Index: unk/scripts/killallplayers
===================================================================
--- /trunk/scripts/killallplayers	(revision 5)
+++ 	(revision )
@@ -1,45 +1,0 @@
-#!/bin/bash
-
-IFS=$'\n'
-for i in `ps -e | grep backgroundview | tr -s " "`
-do
-        echo $i | grep "^ " > /dev/null 2> /dev/null
-        if [ $? == 0 ]
-        then
-                PID=`echo $i | cut -d " " -f 2`
-        else
-                PID=`echo $i | cut -d " " -f 1`
-        fi
-        kill -15 $PID
-done
-
-for i in `ps -e | grep mplayer | tr -s " "`
-do
-        echo $i | grep "^ " > /dev/null 2> /dev/null
-        if [ $? == 0 ]
-        then
-                PID=`echo $i | cut -d " " -f 2`
-        else
-                PID=`echo $i | cut -d " " -f 1`
-        fi
-        kill -15 $PID
-done
-
-for i in `ps -e | grep imageview | tr -s " "`
-do
-        echo $i | grep "^ " > /dev/null 2> /dev/null
-        if [ $? == 0 ]
-        then
-                PID=`echo $i | cut -d " " -f 2`
-        else
-                PID=`echo $i | cut -d " " -f 1`
-        fi
-        kill -15 $PID
-done
-
-
-ssh -t SAGE-stream-0 "/home/pcss/bin/killall"
-ssh -t SAGE-stream-1 "/home/pcss/bin/killall" 
-ssh -t SAGE-stream-2 "/home/pcss/bin/killall" 
-ssh -t SAGE-stream-3 "/home/pcss/bin/killall"
-ssh -t SAGE-stream-4 "/home/pcss/bin/killall"
Index: unk/scripts/killallsage
===================================================================
--- /trunk/scripts/killallsage	(revision 5)
+++ 	(revision )
@@ -1,11 +1,0 @@
-#!/bin/bash
-for i in `cat ~/bin/tiles_list`
-do
-        echo $i | grep "^#" > /dev/null 2> /dev/null
-        if [ $? != "0" ]
-        then
-		ssh $i ~/bin/killsagedisplay
-        fi
-done
-
-
Index: unk/scripts/atimonitor
===================================================================
--- /trunk/scripts/atimonitor	(revision 5)
+++ 	(revision )
@@ -1,9 +1,0 @@
-while [ 1 = 1 ]
-do
-	aticonfig --adapter=0 --od-gettemperature > /tmp/ati_monitor.tmp
-	aticonfig --adapter=1 --od-gettemperature >> /tmp/ati_monitor.tmp
-	aticonfig --adapter=2 --od-gettemperature >> /tmp/ati_monitor.tmp
-	aticonfig --adapter=3 --od-gettemperature >> /tmp/ati_monitor.tmp
-
-	cp /tmp/ati_monitor.tmp ~/ati_monitor.log
-done
Index: unk/scripts/runxall
===================================================================
--- /trunk/scripts/runxall	(revision 5)
+++ 	(revision )
@@ -1,8 +1,0 @@
-for i in `cat ~/bin/tiles_list`
-do
-	echo $i | grep "^#" > /dev/null 2> /dev/null
-	if [ $? != "0" ]
-	then
-		ssh -f $i '/home/pcss/bin/run_X'
-	fi
-done
Index: unk/scripts/poweroffwall
===================================================================
--- /trunk/scripts/poweroffwall	(revision 5)
+++ 	(revision )
@@ -1,48 +1,0 @@
-#!/bin/bash
-while getopts "hwa" optname
-  do
-    case "$optname" in
-      "h")
-	HOST=1
-        ;;
-      "w")
-	WALL=1
-        ;;
-      "a")
-	ALL=1
-        ;;
-      "?")
-        echo "Unrecognized option $OPTARG"
-	exit
-        ;;
-      ":")
-        echo "No argument value for option $OPTARG"
-	exit
-        ;;
-    esac
-  done
-
-if [ "$WALL" != "1" -a "$HOST" != "1" -a "$ALL" != "1" ]; then
-	echo "Usage: reboot_wall [-h] [-w] [-a]. One option must be specified."
-	echo -e "\t-h\trun on host"
-	echo -e "\t-w\trun on wall"
-	echo -e "\t-a\trun on host and wall"
-	exit
-fi
-
-if [ "$WALL" == "1" -o "$ALL" == "1" ]; then
-for i in `cat ~/bin/tiles_list`
-do
-        echo $i | grep "^#" > /dev/null 2> /dev/null
-        if [ $? != "0" ]
-        then
-		ssh $i poweroff
-        fi
-done
-fi
-
-if [ "$HOST" == "1" -o "$ALL" == "1" ]; then
-	poweroff
-fi
-
-
Index: unk/scripts/wakewall
===================================================================
--- /trunk/scripts/wakewall	(revision 5)
+++ 	(revision )
@@ -1,10 +1,0 @@
-#!/bin/bash
-for i in `cat ~/bin/macs_list`
-do
-        echo $i | grep "^#" > /dev/null 2> /dev/null
-        if [ $? != "0" ]
-        then
-		wakeonlan $i
-        fi
-done
-
Index: unk/scripts/wallmonitor
===================================================================
--- /trunk/scripts/wallmonitor	(revision 5)
+++ 	(revision )
@@ -1,7 +1,0 @@
-gnome-terminal -t "Left Tile eth0 [192.168.41.10]" --geometry 77x20+0+0 -x ssh -t SAGE-tile0 "sudo iftop -i eth0" &
-gnome-terminal -t "Left Tile eth1 [192.168.42.10]" --geometry 77x20+640+0 -x ssh -t SAGE-tile0 "sudo iftop -i eth1" &
-gnome-terminal -t "Left Tile Temp [192.168.42.10]" --geometry 77x20+1280+0 -x ssh -t SAGE-tile0 "cd /home/pcss/bin; bash" &
-gnome-terminal -t "Right tile eth0 [192.168.41.11]" --geometry 77x20+0+400 -x ssh -t SAGE-tile1 "sudo iftop -i eth0" &
-gnome-terminal -t "Right tile eth1 [192.168.42.11]" --geometry 77x20+640+400 -x ssh -t SAGE-tile1 "sudo iftop -i eth1" &
-gnome-terminal -t "Right tile Temp [192.168.42.11]" --geometry 77x20+1280+400 -x ssh -t SAGE-tile1 "cd /home/pcss/bin; bash" &
-gnome-terminal -t "Access machine eth1 [192.168.40.1]" --geometry 156x20+0+800 -x sudo iftop -i eth1 &
Index: unk/scripts/rebootwall
===================================================================
--- /trunk/scripts/rebootwall	(revision 5)
+++ 	(revision )
@@ -1,48 +1,0 @@
-#!/bin/bash
-while getopts "hwa" optname
-  do
-    case "$optname" in
-      "h")
-	HOST=1
-        ;;
-      "w")
-	WALL=1
-        ;;
-      "a")
-	ALL=1
-        ;;
-      "?")
-        echo "Unrecognized option $OPTARG"
-	exit
-        ;;
-      ":")
-        echo "No argument value for option $OPTARG"
-	exit
-        ;;
-    esac
-  done
-
-if [ "$WALL" != "1" -a "$HOST" != "1" -a "$ALL" != "1" ]; then
-	echo "Usage: reboot_wall [-h] [-w] [-a]. One option must be specified."
-	echo -e "\t-h\trun on host"
-	echo -e "\t-w\trun on wall"
-	echo -e "\t-a\trun on host and wall"
-	exit
-fi
-
-if [ "$WALL" == "1" -o "$ALL" == "1" ]; then
-for i in `cat ~/bin/tiles_list`
-do
-        echo $i | grep "^#" > /dev/null 2> /dev/null
-        if [ $? != "0" ]
-        then
-		ssh $i reboot
-        fi
-done
-fi
-
-if [ "$HOST" == "1" -o "$ALL" == "1" ]; then
-	reboot
-fi
-
-
Index: unk/scripts/tiles_list
===================================================================
--- /trunk/scripts/tiles_list	(revision 5)
+++ 	(revision )
@@ -1,6 +1,0 @@
-SAGE-tile0
-SAGE-tile1
-SAGE-tile2
-SAGE-tile3
-#SAGE-tile4
-#SAGE-tile5
Index: unk/scripts/connecttowall
===================================================================
--- /trunk/scripts/connecttowall	(revision 5)
+++ 	(revision )
@@ -1,40 +1,0 @@
-#!/bin/bash
-while getopts "hwa" optname
-  do
-    case "$optname" in
-      "h")
-	HOST=1
-        ;;
-      "w")
-	WALL=1
-        ;;
-      "a")
-	ALL=1
-        ;;
-      "?")
-        echo "Unrecognized option $OPTARG"
-	exit
-        ;;
-      ":")
-        echo "No argument value for option $OPTARG"
-	exit
-        ;;
-    esac
-  done
-
-if [ "$WALL" != "1" -a "$HOST" != "1" -a "$ALL" != "1" ]; then
-	echo "Usage: connect_to_wall [-h] [-w] [-a]. One option must be specified."
-	echo -e "\t-h\trun on host"
-	echo -e "\t-w\trun on wall"
-	echo -e "\t-a\trun on host and wall"
-	exit
-fi
-
-if [ "$WALL" == "1" -o "$ALL" == "1" ]; then
-	gnome-terminal -t "Left Tile [192.168.41.10]" --geometry 117x24+0+0 -x ssh -t SAGE-tile0 "cd /etc/X11; bash" &
-	gnome-terminal -t "Right Tile [192.168.41.11]" --geometry 117x24+960+0 -x ssh -t SAGE-tile1 "cd /etc/X11; bash" &
-fi
-
-if [ "$HOST" == "1" -o "$ALL" == "1" ]; then
-	gnome-terminal -t "Access machine [192.168.41.1]" --geometry 235x38+0+459 --working-directory /usr/local/sage/sageConfig &
-fi
Index: unk/scripts/reinstallsage
===================================================================
--- /trunk/scripts/reinstallsage	(revision 5)
+++ 	(revision )
@@ -1,35 +1,0 @@
-#! /bin/bash
-if [ -z "$1" ]
-then
-	echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
-	exit
-fi
-
-if [ "$1" != "trunk" -a "$1" != "testing" -a "$1" != "experimental" ]
-then
-	echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
-	exit
-fi
-
-recompilesage $1
-
-for i in `cat ~/bin/tiles_list`
-do
-        echo $i | grep "^#" > /dev/null 2> /dev/null
-        if [ $? != "0" ]
-        then
-		if [ "$1" == "testing" -o "$1" == "experimental" ]
-		then
-			echo "Transfering SAGE [$1] to $i"
-			scp -r ~/SAGE/$1/src/*.cpp $i:~/SAGE/$1/src > /dev/null
-			scp -r ~/SAGE/$1/src/*.h $i:~/SAGE/$1/src > /dev/null
-			scp -r ~/SAGE/$1/src/*.m $i:~/SAGE/$1/src > /dev/null
-			scp -r ~/SAGE/$1/src/Makefile $i:~/SAGE/$1/src > /dev/null
-			scp -r ~/SAGE/$1/Makefile $i:~/SAGE/$1 > /dev/null
-			scp -r ~/SAGE/$1/include/* $i:~/SAGE/$1/include > /dev/null
-		fi
-		ssh $i ~/bin/recompilesage $1 &
-        fi
-done
-
-
Index: unk/scripts/macs_list
===================================================================
--- /trunk/scripts/macs_list	(revision 5)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#tile0
-20:cf:30:f0:ce:6b
-20:cf:30:f0:ce:09
-#tile1
-20:cf:30:ad:f8:00
-20:cf:30:ad:f7:93
-#tile2
-00:1f:bc:02:22:14
-00:1f:bc:02:22:15
-#tile3
-14:da:e9:48:51:f8
-14:da:e9:48:51:50
Index: unk/scripts/recompilesage
===================================================================
--- /trunk/scripts/recompilesage	(revision 5)
+++ 	(revision )
@@ -1,34 +1,0 @@
-#!/bin/bash
-if [ -z "$1" ]
-then
-        echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
-        exit
-fi
-
-if [ "$1" != "trunk" -a "$1" != "testing" -a "$1" != "experimental" ]
-then
-        echo "Need to pass argument 'trunk', 'testing' or 'experimental'"
-        exit
-fi
-
-echo "Recompiling SAGE [$1] on localhost"
-
-cd ~/SAGE/$1
-make -j 2
-
-if [ "$?" != 0 ]
-then
-        echo "Error while compiling"
-        exit
-fi
-
-if [ -e /usr/local/sage ]
-then
-        echo "Removing sage"
-        sudo rm -r /usr/local/sage
-fi
-
-echo "Installing SAGE"
-sudo make install
-cd /usr/local/sage
-sudo ln -s lib64 lib
Index: unk/scripts/wall
===================================================================
--- /trunk/scripts/wall	(revision 5)
+++ 	(revision )
@@ -1,8 +1,0 @@
-#!/bin/bash
-gnome-terminal -t "tile0" --geometry 75x27+0+0 -x ssh -t SAGE-tile0 &
-gnome-terminal -t "tile1" --geometry 75x27+0+600 -x ssh -t SAGE-tile1 &
-gnome-terminal -t "tile2" --geometry 75x27+700+0 -x ssh -t SAGE-tile2 &
-gnome-terminal -t "tile3" --geometry 75x27+700+600 -x ssh -t SAGE-tile3 &
-#gnome-terminal -t "tile4" --geometry 75x27+1300+0 -x ssh -t SAGE-tile4 "cd /etc/X11; bash" &
-#gnome-terminal -t "tile5" --geometry 75x27+1300+600 -x ssh -t SAGE-tile5 "cd /etc/X11; bash" &
-