Index: trunk/m4/ax_gcc_warnings.m4
===================================================================
--- trunk/m4/ax_gcc_warnings.m4	(revision 1)
+++ trunk/m4/ax_gcc_warnings.m4	(revision 20)
@@ -1,3 +1,3 @@
-# $Id: ax_gcc_warnings.m4 92 2010-04-08 15:40:49Z mamonski $
+# $Id$
 #
 # SYNOPSIS
Index: trunk/m4/ax_docutils.m4
===================================================================
--- trunk/m4/ax_docutils.m4	(revision 1)
+++ trunk/m4/ax_docutils.m4	(revision 20)
@@ -1,3 +1,3 @@
-# $Id: ax_docutils.m4 92 2010-04-08 15:40:49Z mamonski $
+# $Id$
 #
 # SYNOPSIS
Index: trunk/m4/ax_ll.m4
===================================================================
--- trunk/m4/ax_ll.m4	(revision 1)
+++ trunk/m4/ax_ll.m4	(revision 20)
@@ -1,3 +1,3 @@
-# $Id: ax_ll.m4 208 2010-05-20 10:24:54Z mmatloka $
+# $Id$
 #
 # SYNOPSIS
Index: trunk/m4/acx_pthread.m4
===================================================================
--- trunk/m4/acx_pthread.m4	(revision 1)
+++ trunk/m4/acx_pthread.m4	(revision 20)
@@ -1,3 +1,3 @@
-dnl $Id: acx_pthread.m4 92 2010-04-08 15:40:49Z mamonski $
+dnl $Id$
 
 dnl
Index: trunk/configure.ac
===================================================================
--- trunk/configure.ac	(revision 1)
+++ trunk/configure.ac	(revision 20)
@@ -1,5 +1,5 @@
 AC_INIT([PSNC DRMAA for LoadLeveler], [1.0.1], [mamonski@man.poznan.pl], [ll_drmaa])
 AC_PREREQ(2.58)
-AC_REVISION([$Id: configure.ac 228 2010-05-25 15:34:28Z mamonski $])
+AC_REVISION([$Id$])
 AC_COPYRIGHT([
 PSNC DRMAA for LoadLeveler
Index: trunk/autoclean.sh
===================================================================
--- trunk/autoclean.sh	(revision 1)
+++ trunk/autoclean.sh	(revision 20)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# $Id: autoclean.sh 92 2010-04-08 15:40:49Z mamonski $
+# $Id$
 
 echo "Removing all generated files. ($PWD)"
Index: trunk/doc/Makefile.am
===================================================================
--- trunk/doc/Makefile.am	(revision 1)
+++ trunk/doc/Makefile.am	(revision 20)
@@ -1,3 +1,3 @@
-# $Id: Makefile.am 92 2010-04-08 15:40:49Z mamonski $
+# $Id$
 #
 # PSNC DRMAA for LoadLeveler
Index: trunk/doc/rst.css
===================================================================
--- trunk/doc/rst.css	(revision 1)
+++ trunk/doc/rst.css	(revision 20)
@@ -1,5 +1,5 @@
 /*
 :Author: David Goodger (goodger@python.org)
-:Id: $Id: rst.css 92 2010-04-08 15:40:49Z mamonski $
+:Id: $Id$
 :Copyright: This stylesheet has been placed in the public domain.
 
Index: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am	(revision 18)
+++ trunk/Makefile.am	(revision 20)
@@ -1,3 +1,3 @@
-# $Id: Makefile.am 227 2010-05-25 13:14:20Z mamonski $
+# $Id$
 #
 # PSNC DRMAA for LoadLeveler
Index: trunk/autogen.sh
===================================================================
--- trunk/autogen.sh	(revision 1)
+++ trunk/autogen.sh	(revision 20)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# $Id: autogen.sh 136 2010-04-29 12:19:52Z mmatloka $
+# $Id$
 
 run() {
Index: trunk/ll_drmaa/util.c
===================================================================
--- trunk/ll_drmaa/util.c	(revision 1)
+++ trunk/ll_drmaa/util.c	(revision 20)
@@ -1,3 +1,3 @@
-/* $Id: util.c 224 2010-05-25 08:48:28Z mamonski $ */
+/* $Id$ */
 /*
  * PSNC DRMAA for LL
@@ -27,5 +27,5 @@
 		__attribute__ ((unused))
 #	endif
-	= "$Id: util.c 224 2010-05-25 08:48:28Z mamonski $";
+	= "$Id$";
 #endif
 
Index: trunk/ll_drmaa/job.h
===================================================================
--- trunk/ll_drmaa/job.h	(revision 1)
+++ trunk/ll_drmaa/job.h	(revision 20)
@@ -1,3 +1,3 @@
-/* $Id: job.h 224 2010-05-25 08:48:28Z mamonski $ */
+/* $Id$ */
 /*
  * PSNC DRMAA for LL
Index: trunk/ll_drmaa/util.h
===================================================================
--- trunk/ll_drmaa/util.h	(revision 1)
+++ trunk/ll_drmaa/util.h	(revision 20)
@@ -1,3 +1,3 @@
-/* $Id: util.h 220 2010-05-24 17:42:49Z mmatloka $ */
+/* $Id$ */
 /*
  * PSNC DRMAA for LL
Index: trunk/ll_drmaa/session.c
===================================================================
--- trunk/ll_drmaa/session.c	(revision 1)
+++ trunk/ll_drmaa/session.c	(revision 20)
@@ -1,3 +1,3 @@
-/* $Id: session.c 224 2010-05-25 08:48:28Z mamonski $ */
+/* $Id$ */
 /*
  * PSNC DRMAA for LL
Index: trunk/ll_drmaa/drmaa.c
===================================================================
--- trunk/ll_drmaa/drmaa.c	(revision 1)
+++ trunk/ll_drmaa/drmaa.c	(revision 20)
@@ -1,3 +1,3 @@
-/* $Id: drmaa.c 220 2010-05-24 17:42:49Z mmatloka $ */
+/* $Id$ */
 /*
  * PSNC DRMAA for LL
Index: trunk/ll_drmaa/Makefile.am
===================================================================
--- trunk/ll_drmaa/Makefile.am	(revision 1)
+++ trunk/ll_drmaa/Makefile.am	(revision 20)
@@ -1,3 +1,3 @@
-# $Id: Makefile.am 144 2010-05-02 15:01:09Z mmatloka $
+# $Id$
 #
 # PSNC DRMAA for LoadLeveler
Index: trunk/ll_drmaa/ll_drmaa.conf.example
===================================================================
--- trunk/ll_drmaa/ll_drmaa.conf.example	(revision 1)
+++ trunk/ll_drmaa/ll_drmaa.conf.example	(revision 20)
@@ -1,3 +1,3 @@
-## $Id: ll_drmaa.conf.example 220 2010-05-24 17:42:49Z mmatloka $
+## $Id$
 ## ll_drmaa.conf.example - Sample ll_drmaa configuration file.
 
Index: trunk/ll_drmaa/session.h
===================================================================
--- trunk/ll_drmaa/session.h	(revision 1)
+++ trunk/ll_drmaa/session.h	(revision 20)
@@ -1,3 +1,3 @@
-/* $Id: session.h 224 2010-05-25 08:48:28Z mamonski $ */
+/* $Id$ */
 /*
  * PSNC DRMAA for LL
Index: trunk/ll_drmaa/job.c
===================================================================
--- trunk/ll_drmaa/job.c	(revision 1)
+++ trunk/ll_drmaa/job.c	(revision 20)
@@ -1,3 +1,3 @@
-/* $Id: job.c 227 2010-05-25 13:14:20Z mamonski $ */
+/* $Id$ */
 /*
  * PSNC DRMAA for LL